0

Widget class required for <Detail iCCP6a> with default

asked 2017-08-04 15:42:18 +0800

sbasly gravatar image sbasly
3 1

I'm trying to implement an masterDetail grid using richlet. but when I added this part of code

Rows rows = new Rows();
rows.setParent(grid);

Row row = new Row();
row.setParent(rows);

Label label = new Label("text");
label.setParent(row);
Detail detail = new Detail();
detail.setParent(row);

detail.appendChild(new Label("detail test"));

I got an org.zkoss.zk.ui.UiException: Widget class required for <detail iccp6a=""> with default.

I'm using Zk-EE 8.0.5

delete flag offensive retag edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2017-08-11 10:33:38 +0800

cor3000 gravatar image cor3000
4366 2 7
ZK Team

The Detail component requires the ZK-PE (zkex.jar)

https://www.zkoss.org/wiki/ZKComponentReference/Data/Grid/Detail

link publish delete flag offensive edit
Your answer
Please start posting your answer anonymously - your answer will be saved within the current session and published after you log in or create a new account. Please try to give a substantial answer, for discussions, please use comments and please do remember to vote (after you log in)!

[hide preview]

Question tools

Follow
1 follower

RSS

Stats

Asked: 2017-08-04 15:42:18 +0800

Seen: 12 times

Last updated: Aug 11 '17

Support Options
  • Email Support
  • Training
  • Consulting
  • Outsourcing
Learn More